Journals and Objectives don't update until switching rooms
Closed, ResolvedPublic


What is happening:
Mindless Violins: After talking with Astral for the final time, journal didn't report finishing, despite getting quest rewards, until *after* rebooting program, at which point the quest was marked as finished in the journal. Since this has happened on more than one quest now, but it comes back after reloading, I suspect it's more to do with simple lost state update rather than the quests.

Note, I'm going to stop reporting these until the next version release. There's clearly a common Journal update problem going on.

What should be happening:
Journal should get updated instantly.

Steps to reproduce the issue:
Play quest

Game client version:
Give the name of the archive from which you got this version

Reproduced by:
Forum name of anyone having reproduced this issue, if any

Reproduced on:
List of operating systems this issue has been reproduced on, including their version number if available, and their architecture (32 bit or 64 bit)

Crash logs or exceptions generated:
If applicable, give a link to an archive containing the crash logs generated, or copy/paste exceptions you got related to this error

If applicable, give a direct link to screenshots/GIFs/videos of the issue, annotated to show exactly what's going wrong

Rattletrap lowered the priority of this task from Needs Triage to Normal.
Rattletrap added a subscriber: justin.
Rattletrap reassigned this task from Rattletrap to Natfoth.Jan 4 2017, 5:05 AM
Rattletrap added a subscriber: Rattletrap.

I suspect that this issue may be related to the one that I reported in T922. I've also noted that the journals do not update to completed status until the player has left the room either by portal or by relogging.

justin renamed this task from Quest Journal Inconsistency to Journals and Objectives don't update until switching rooms.Feb 28 2017, 6:51 PM
justin added subscribers: Spring_Heart, scripting.
Rattletrap closed this task as Resolved.Sep 10 2017, 3:50 AM

This issue has been fixed as of OAR build